#ifndef __INC_POS_PGADGET_GADCB_H
#define __INC_POS_PGADGET_GADCB_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>GadCB.h<<   16 Sep 1996    19:27:27 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_CALLBACK_H
#include <pExec/CallBack.h>
#endif



/*----------------------------------
-----------------------------------*/
struct pOS_GadgetCallbackData
{
  UBYTE gdb_Method; /* (enum pOS_GadgetCallbackMethods) */
  UBYTE gdb_Pad;

  struct pOS_Gadget *gdb_Gadget;

  union {
    struct { /** GADCBMTH_PreHandleInput, GADCBMTH_PostHandleInput **/
      const struct pOS_IClassInfo *gdbhi_Info;
      const struct pOS_InputEvent *gdbhi_IE;
      const struct pOS_Point      *gdbhi_RMouse;
      const struct pOS_Point      *gdbhi_AMouse;
            ULONG                  gdbhi_ResCode;
            ULONG                  gdbhi_Result;  /* enthlt bei GADCBMTH_PostHandleInput
                                                  ** den Dispatcher Returnwert.
                                                  */
    } gdb_HandleInput;

  } gdb_U;
};


enum pOS_GadgetCallbackMethods
{
  GADCBMTH_PreHandleInput = 1,
  GADCBMTH_PostHandleInput,
};



#endif
