#ifndef __INC_POS_PGADGET_GADITEM_H
#define __INC_POS_PGADGET_GADITEM_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>GadItem.h<<   22 Feb 1997    15:51:33 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_GadgetItem
{
  struct pOS_Node      gdt_Node;
  UWORD                gdt_Width;  /* wird vom Manager verwendet */
  UWORD                gdt_Height;
  UBYTE                gdt_Flags;  /* (enum pOS_GadItemFlags) */
  UBYTE                gdt_Pad;
  struct pOS_IntuiObj *gdt_Render;
  ULONG                gdt_ID;
  APTR                 gdt_Data;   /* wird vom Manager verwendet */
  UBYTE                gdt_Reserved[12];
};


enum pOS_GadItemFlags
{
  GADDITF_Disabled = 0x01,
  GADDITF_Hide     = 0x02,
  GADDITF_Selected = 0x04,
};




/*----------------------------------
-----------------------------------*/
struct pOS_GadgetTagItem
{
  const  CHAR          *gti_Name;
         ULONG          gti_ID;
  struct pOS_IntuiObj **gti_ObjArray;
         UBYTE          gti_Flags;
         UBYTE          gti_PrvFlags;

  UBYTE gti_Reserved[16];
};





#endif
