#ifndef __INC_POS_PGADGET_PROPGAD_H
#define __INC_POS_PGADGET_PROPGAD_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>PropGad.h<<   23 Feb 1997    17:09:48 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PGADGET_GADGET_H
#include <pGadget/Gadget.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_PropGadInfo
{
  UWORD pg_Flags;   /* (enum pOS_PropGadFlags) */

  UWORD pg_HorizPot;
  UWORD pg_VertPot;

  UWORD pg_HorizBody;
  UWORD pg_VertBody;

  UWORD pg_CWidth;
  UWORD pg_CHeight;
  UWORD pg_HPotRes, pg_VPotRes;  /* pot increments */
  UWORD pg_LeftBorder;
  UWORD pg_TopBorder;

/** SYSTEM-PRIVATE-DATAS **/

};


enum pOS_PropGadFlags /* pg_Flags */
{
  PRGADF_FreeHoriz=   0x0002,  /* if set, the knob can move horizontally */
  PRGADF_FreeVert=    0x0004,  /* if set, the knob can move vertically */
  PRGADF_KnobHit=     0x0100,  /* set when this Knob is hit */
};

enum pOS_PropGadConst
{
  PRGADCON_MaxBody =0xffff,
  PRGADCON_MaxPot  =0xffff,
};

#endif
